libgit2-0.26.8-1.fc27.i686.rpm


Advertisement

Description

libgit2 - C implementation of the Git core methods as a library with a solid API

Property Value
Distribution Fedora 27
Repository Fedora Updates x86_64
Package name libgit2
Package version 0.26.8
Package release 1.fc27
Package architecture i686
Package type rpm
Installed size 1.26 MB
Download size 453.40 KB
Official Mirror download-ib01.fedoraproject.org
libgit2 is a portable, pure C implementation of the Git core methods
provided as a re-entrant linkable library with a solid API, allowing
you to write native speed custom Git applications in any language
with bindings.

Alternatives

Package Version Architecture Repository
libgit2-0.26.8-1.fc27.x86_64.rpm 0.26.8 x86_64 Fedora Updates
libgit2-0.26.8-1.fc27.i686.rpm 0.26.8 i686 Fedora Updates
libgit2-0.26.0-3.fc27.x86_64.rpm 0.26.0 x86_64 Fedora
libgit2-0.26.0-3.fc27.i686.rpm 0.26.0 i686 Fedora
libgit2-0.26.0-3.fc27.i686.rpm 0.26.0 i686 Fedora
libgit2 - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.8) -
libcrypto.so.1.1 -
libcrypto.so.1.1(OPENSSL_1_1_0) -
libcurl.so.4 -
libgcc_s.so.1 -
libgcc_s.so.1(GCC_3.0) -
libgcc_s.so.1(GCC_3.3.1) -
libhttp_parser.so.2 -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.1) -
libpthread.so.0(GLIBC_2.2) -
libpthread.so.0(GLIBC_2.3.2) -
librt.so.1 -
librt.so.1(GLIBC_2.2) -
libssh2.so.1 -
libssl.so.1.1 -
libssl.so.1.1(OPENSSL_1_1_0) -
libz.so.1 -
rtld(GNU_HASH) -

Provides

Name Value
bundled(libxdiff) -
libgit2 = 0.26.8-1.fc27
libgit2(x86-32) = 0.26.8-1.fc27
libgit2.so.26 -

Download

Type URL
Binary Package libgit2-0.26.8-1.fc27.i686.rpm
Source Package libgit2-0.26.8-1.fc27.src.rpm

Install Howto

Install libgit2 rpm package:

# dnf install libgit2

Files

Path
/usr/lib/libgit2.so.0.26.8
/usr/lib/libgit2.so.26
/usr/lib/.build-id/
/usr/lib/.build-id/c5/d781bc16c0c0e9627312ded64d72aaaee4d096
/usr/share/licenses/libgit2/COPYING

Changelog

2018-10-26 - Pete Walter <pwalter@fedoraproject.org> - 0.26.8-1
- Update to 0.26.8
- Update upstream URL
2018-10-08 - Pete Walter <pwalter@fedoraproject.org> - 0.26.7-1
- Update to 0.26.7 (CVE-2018-17456)
2018-08-07 - Pete Walter <pwalter@fedoraproject.org> - 0.26.6-1
- Update to 0.26.6
2018-07-10 - Pete Walter <pwalter@fedoraproject.org> - 0.26.5-1
- Update to 0.26.5 (CVE-2018-10887, CVE-2018-10888)
2018-06-25 - Pete Walter <pwalter@fedoraproject.org> - 0.26.4-1
- Update to 0.26.4 (CVE-2018-11235)
2018-03-12 - Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.26.3-1
- Update to 0.26.3
2018-02-07 - Fedora Release Engineering <releng@fedoraproject.org> - 0.26.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild
2018-02-02 - Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.26.0-4
- Switch to %ldconfig_scriptlets
2017-08-03 - Fedora Release Engineering <releng@fedoraproject.org> - 0.26.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild
2017-07-26 - Fedora Release Engineering <releng@fedoraproject.org> - 0.26.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

See Also

Package Description
libgit2-devel-0.26.8-1.fc27.i686.rpm Development files for libgit2
libgit2-devel-0.26.8-1.fc27.x86_64.rpm Development files for libgit2
libgit2-glib-0.26.2-1.fc27.i686.rpm Git library for GLib
libgit2-glib-0.26.2-1.fc27.x86_64.rpm Git library for GLib
libgit2-glib-devel-0.26.2-1.fc27.i686.rpm Development files for libgit2-glib
libgit2-glib-devel-0.26.2-1.fc27.x86_64.rpm Development files for libgit2-glib
libglvnd-1.0.0-1.fc27.i686.rpm The GL Vendor-Neutral Dispatch library
libglvnd-1.0.0-1.fc27.x86_64.rpm The GL Vendor-Neutral Dispatch library
libglvnd-core-devel-1.0.0-1.fc27.i686.rpm Core development files for libglvnd
libglvnd-core-devel-1.0.0-1.fc27.x86_64.rpm Core development files for libglvnd
libglvnd-devel-1.0.0-1.fc27.i686.rpm Development files for libglvnd
libglvnd-devel-1.0.0-1.fc27.x86_64.rpm Development files for libglvnd
libglvnd-egl-1.0.0-1.fc27.i686.rpm EGL support for libglvnd
libglvnd-egl-1.0.0-1.fc27.x86_64.rpm EGL support for libglvnd
libglvnd-gles-1.0.0-1.fc27.i686.rpm GLES support for libglvnd
Advertisement
Advertisement